/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 地址管理
 */

import { request } from '../index'

// 地址列表
const list = () =>{
	return request({
		url: 'mall/addresses'
	})
}

// 添加地址
const add = data => {
	return request({
		url: 'mall/addresses',
		method: 'POST',
		data
	})
}

// 收货地址详情
const info = id => {
	return request({
		url: 'mall/addresses/' + id
	})
}

// 修改收货地址
const edit = (id, data) => {
	return request({
		url: 'mall/addresses/' + id,
		method: 'PUT',
		data
	})
}

// 删除收货地址
const del = id => {
	return request({
		url: 'mall/addresses/' + id,
		method: 'DELETE'
	})
}

// 获取省市区
const addresses = data => {
	return request({
		url: 'mall/addresses/create',
		data
	})
}

export {
	list,
	add,
	info,
	edit,
	del,
	addresses
}
